org.apache.cassandra.service.pager

## Class PagingState

- java.lang.Object
- - org.apache.cassandra.service.pager.PagingState

    public class PagingState
    extends java.lang.Object

### Field Summary

Fields
`java.nio.ByteBuffer` `cellName`
`java.nio.ByteBuffer` `partitionKey`
`int` `remaining`

### Constructor Summary

Constructors
Constructor and Description
`PagingState(java.nio.ByteBuffer partitionKey, java.nio.ByteBuffer cellName, int remaining)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static PagingState` `deserialize(java.nio.ByteBuffer bytes)`
`java.nio.ByteBuffer` `serialize()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### partitionKey

    public final java.nio.ByteBuffer partitionKey

#### cellName

    public final java.nio.ByteBuffer cellName

#### remaining

    public final int remaining

### Constructor Detail

#### PagingState

    public PagingState(java.nio.ByteBuffer partitionKey,
                       java.nio.ByteBuffer cellName,
                       int remaining)

### Method Detail

#### deserialize

    public static PagingState deserialize(java.nio.ByteBuffer bytes)

#### serialize

    public java.nio.ByteBuffer serialize()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`